// functions for contact18.php

const getCellValue = (tr, idx) => tr.children[idx].innerText || tr.children[idx].textContent;

const comparer = (idx, asc) => (a, b) => ((v1, v2) => 
    v1 !== '' && v2 !== '' && !isNaN(v1) && !isNaN(v2) ? v1 - v2 : v1.toString().localeCompare(v2)
    )(getCellValue(asc ? a : b, idx), getCellValue(asc ? b : a, idx));

// do the work...
document.querySelectorAll('th').forEach(th => th.addEventListener('click', (() => {
    const table = th.closest('table');
    Array.from(table.querySelectorAll('tr:nth-child(n+2)'))
        .sort(comparer(Array.from(th.parentNode.children).indexOf(th), this.asc = !this.asc))
        .forEach(tr => table.appendChild(tr) );
})));

function filterTable2() {
  var id, firstname, lastname, mobile, email, table, tr, td_id, td_firstname, td_lastname, td_mobile, td_email, i;
  id = document.getElementById("ID").value.toUpperCase();
  firstname = document.getElementById("FirstName").value.toUpperCase();
  lastname = document.getElementById("LastName").value.toUpperCase();
  mobile = document.getElementById("Mobile").value.toUpperCase();
  email = document.getElementById("Email").value.toUpperCase();
  table = document.getElementById("main-table");
  tr = table.rows;
  for (i = 0; i < tr.length; i++) {
	td_id = tr[i].getElementsByTagName("td")[0];
    td_firstname = tr[i].getElementsByTagName("td")[1];
    td_lastname = tr[i].getElementsByTagName("td")[2];
    td_mobile = tr[i].getElementsByTagName("td")[3];
    td_email = tr[i].getElementsByTagName("td")[4];
    if (td_id) {
        if (td_id.textContent.toUpperCase().startsWith(id) && td_firstname.textContent.toUpperCase().startsWith(firstname) && td_lastname.textContent.toUpperCase().startsWith(lastname) && td_mobile.textContent.toUpperCase().includes(mobile) && td_email.textContent.toUpperCase().includes(email)){
        tr[i].style.display = "";
      } else {
        tr[i].style.display = "none";
      }
    }       
  }
}


var modal = document.getElementById("myModal");
var mbtn = document.getElementById("submit");
var span = document.getElementsByClassName("close")[0];

function More(id){
	mbtn.value = id;
	modal.style.display = "block";
}
mbtn.onclick = function() {
	var minput = document.getElementById("password").value;
	document.getElementById("more").src = "more.php?password=" + minput + "&id=" + mbtn.value;
}

span.onclick = function() {
	document.getElementById("more").src = "";
  modal.style.display = "none";
}

window.onclick = function(event) {
  if (event.target == modal) {
	  document.getElementById("more").src = "";
    modal.style.display = "none";
  }
}
